Stake account history
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/history \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/history"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"epoch_no": 73,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"active_stake": 270921649109
},
{
"epoch_no": 74,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"active_stake": 271442847622
},
{
"epoch_no": 75,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"active_stake": 271984526388
},
{
"epoch_no": 76,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"active_stake": 272520020301
},
{
"epoch_no": 77,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"active_stake": 273058079938
},
{
"epoch_no": 78,
"pool_id": "pool1egfg26w0syqly9qc65hz33gqv2qrzyka8tfue3ccsk3c73a56jp",
"active_stake": 273611950245
}
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "b48416b482bdfda2a3c1ccbe220f84f74256d3e457bd064edea8dc45dc7e22e1",
"block_slot": 32209052
},
"next_cursor": null
}Accounts
Stake account history
Get comprehensive activity history for a Cardano stake account including all delegations and rewards.
GET
/
accounts
/
{stake_addr}
/
history
Stake account history
Authorizations
Project API Key
Headers
Large numbers returned as strings if set to true
Path Parameters
Bech32 encoded stake/reward address ('stake1...')
Query Parameters
Fetch result for only a specific epoch
Required range:
x >= 0The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by epoch number)
Available options:
asc, desc Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Per-epoch history of the specified stake key
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

